org.apache.hc.client5.http.impl.classic

## Class HttpClients

- java.lang.Object
- - org.apache.hc.client5.http.impl.classic.HttpClients

-     public final class HttpClients
      extends Object

  Factory methods for `CloseableHttpClient` instances.
  Since:
    4.3

- - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static CloseableHttpClient` | `createDefault()` Creates `CloseableHttpClient` instance with default configuration.
    `static MinimalHttpClient` | `createMinimal()` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
    `static MinimalHttpClient` | `createMinimal(HttpClientConnectionManager connManager)` Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.
    `static CloseableHttpClient` | `createSystem()` Creates `CloseableHttpClient` instance with default configuration based on system properties.
    `static HttpClientBuilder` | `custom()` Creates builder object for construction of custom `CloseableHttpClient` instances.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Method Detail

    - #### custom

          public static HttpClientBuilder custom()

      Creates builder object for construction of custom `CloseableHttpClient` instances.

    - #### createDefault

          public static CloseableHttpClient createDefault()

      Creates `CloseableHttpClient` instance with default configuration.

    - #### createSystem

          public static CloseableHttpClient createSystem()

      Creates `CloseableHttpClient` instance with default configuration based on system properties.

    - #### createMinimal

          public static MinimalHttpClient createMinimal()

      Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.

    - #### createMinimal

          public static MinimalHttpClient createMinimal(HttpClientConnectionManager connManager)

      Creates `CloseableHttpClient` instance that implements the most basic HTTP protocol support.

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.